#pragma once

#include "CoreMinimal.h"
#include "AISkill_Interaction_KillerPower.h"
#include "AITunableParameter.h"
#include "AISkill_Interaction_K37BatTeleport.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class THEK37_API UAISkill_Interaction_K37BatTeleport : public UAISkill_Interaction_KillerPower
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MaxGoalRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxVerticalGoalRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MinKillerRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxKillerRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float VaultSearchInterval;

public:
	UAISkill_Interaction_K37BatTeleport();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_Interaction_K37BatTeleport) { return 0; }
